Skip to main content
`Ctrl`+`K`

# PetscFELimitDegree

Copy a `PetscFE` but limit the degree to be in the given range

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFELimitDegree(PetscFE fe, PetscInt minDegree, PetscInt maxDegree, PetscFE *newfe)

Collective

## Input Parameters

- fe - The `PetscFE`

- minDegree - The minimum degree, or `PETSC_DETERMINE` for no limit

- maxDegree - The maximum degree, or `PETSC_DETERMINE` for no limit

## Output Parameter

- newfe - The `PetscFE` object

## Note

This currently only works for Lagrange elements.

## See Also

`PetscFECreateLagrange()`, `PetscFECreateDefault()`, `PetscFECreateByCell()`, `PetscFECreate()`, `PetscSpaceCreate()`, `PetscDualSpaceCreate()`

## Level

advanced

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages